### Signal

# Soup Server::request-read

#### Declaration

    void
    request_read (
      SoupServer* self,
      SoupServerMessage* message,
      gpointer user_data
    )

#### Description [src]

Emitted when the server has successfully read a request.

`message` will have all of its request-side information filled in, and if the message was authenticated, `client` will have information about that. This signal is emitted before any (non-early) handlers are called for the message, and if it sets the message’s #status_code, then normal handler processing will be skipped.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`message` | `SoupServerMessage`
| The message.
| The data is owned by the caller of the function.